aboutsummaryrefslogtreecommitdiffstats
path: root/tests/qemu-iotests/007
diff options
context:
space:
mode:
Diffstat (limited to 'tests/qemu-iotests/007')
-rwxr-xr-xtests/qemu-iotests/00767
1 files changed, 67 insertions, 0 deletions
diff --git a/tests/qemu-iotests/007 b/tests/qemu-iotests/007
new file mode 100755
index 000000000..0139264c4
--- /dev/null
+++ b/tests/qemu-iotests/007
@@ -0,0 +1,67 @@
+#!/bin/bash
+#
+# Check for one possible case of qcow2 refcount corruption.
+#
+# Copyright (C) 2009 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+# creator
+owner=kwolf@redhat.com
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+
+_cleanup()
+{
+# _cleanup_test_img
+ true
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+# currently only qcow2 allows for consistency checks using qemu-img
+_supported_fmt qcow2
+_supported_proto generic
+_supported_os Linux
+
+echo
+echo "creating image"
+_make_test_img 1M
+
+for i in `seq 1 10`; do
+ echo "savevm $i"
+ # XXX(hch): adding -nographic would be good, but hangs the test
+ $QEMU -hda $TEST_IMG -monitor stdio >/dev/null 2>&1 <<EOF
+savevm test-$i
+quit
+EOF
+done
+
+echo
+echo "checking image for errors"
+_check_test_img
+
+# success, all done
+echo "*** done"
+rm -f $seq.full
+status=0